                           Oneliner README
                           ===============

                     $Date: 2002/02/12 15:15:35 $
                           Kiyoka Nishiyama
                http://oneliner-elisp.sourceforge.net/


1 What is Oneliner
------------------

    - Oneliner is free software.
    - you can redistribute it and/or modify it under the terms of the
      GNU General Public License.<COPYING.txt>
    - Oneliner is hooks of Emacs standard shell-mode.
    - Oneliner provides nice extentions for UNIX shell masters.


2 abstruct
----------

    - You can connect command input/output to/from Emacs buffer with
      easy operation.
    - You can sync directory-value between shell-mode and shell
      process.
    - Oneliner gives you notice with beep when command execution was
      complete.
    - Oneliner handles control codes.


3 Installation
--------------


3.1 Installation of software and documents
------------------------------------------

    -   Do "./configure".
        If you need change parameter for you environment, please use
      switches as follows. If you are a 'Meadow' user, please read the
      'README.Meadow' file, too.
      - --prefix=path_to_install_DIR
      - --with-emacs=yes
      - --with-xemacs=yes
      - --with-lispdir=path_to_site-lisp_dir
    - make
    - make install
    -   Please add this code to .emacs
        
        (require 'oneliner)
    -   Please set the environment variable 'TMPDIR'.
        Set the temporary directory path to 'TMPDIR'.
        The one of examples with 'bash' shell is as follows:
        
        export TMPDIR='~/tmp/'


3.2 Uninstallation of software and documents
--------------------------------------------

    - make uninstall


3.3 Make a tar.gz archive file
------------------------------

    - Get the Oneliner's source tree from the CVS server.
    - make setup -f Makefile.in ; make archive


4 Development members
---------------------

    - Kiyoka Nishiyama
    - MISHIMA Masahiro
    - IWAI, Masaharu
    - OHURA Makoto


5 Bibliography
--------------

    -   Bil Lewis,Dan LaLiberte, Richard Stallman and the GNU Manual
      Gourp
        Emacs Lisp Reference Manual
